org.eclipse.emf.cdo.server

## Interface IStoreAccessor.UnitSupport

- All Superinterfaces:
    InternalCDOBranchManager.BranchLoader, InternalCDOCommitInfoManager.CommitInfoLoader, IQueryHandlerProvider, IStoreAccessor
  All Known Subinterfaces:
    IDBStoreAccessor
  Enclosing interface:
    IStoreAccessor

      public static interface IStoreAccessor.UnitSupport
      extends IStoreAccessor

  An extension interface for `store accessors` that support units.
  Since:
    4.5
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finishUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, long timeStamp, Object initResult, List<CDOID> ids)`
    `Object` | `initUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, Set<CDOID> initializedIDs, long timeStamp, OMMonitor monitor)`
    `void` | `readUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, OMMonitor monitor)`
    `List<CDOID>` | `readUnitRoots()`
    `void` | `writeUnits(Map<CDOID,CDOID> unitMappings, long timeStamp)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `commit, createChunkReader, getSession, getStore, getTransaction, handleLobs, handleRevisions, isReader, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readResourceID, readRevision, readRevisionByVersion, release, rollback, write, writePackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

      `loadCommitData, loadCommitInfos`

- - ### Method Detail

    - #### readUnitRoots

          List<CDOID> readUnitRoots()

    - #### readUnit

          void readUnit(IView view,
                        CDOID rootID,
                        CDORevisionHandler revisionHandler,
                        OMMonitor monitor)

    - #### initUnit

          Object initUnit(IView view,
                          CDOID rootID,
                          CDORevisionHandler revisionHandler,
                          Set<CDOID> initializedIDs,
                          long timeStamp,
                          OMMonitor monitor)

    - #### finishUnit

          void finishUnit(IView view,
                          CDOID rootID,
                          CDORevisionHandler revisionHandler,
                          long timeStamp,
                          Object initResult,
                          List<CDOID> ids)

    - #### writeUnits

          void writeUnits(Map<CDOID,CDOID> unitMappings,
                          long timeStamp)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html